org.eclipse.microprofile.rest.client.tck.providers

## Class Prioritized2000MessageBodyReader

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.Prioritized2000MessageBodyReader

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<String>

    @Priority(value=2000)
    public class Prioritized2000MessageBodyReader
    extends Object
    implements javax.ws.rs.ext.MessageBodyReader<String>

### Constructor Summary

Constructors
Constructor and Description
`Prioritized2000MessageBodyReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`String` `readFrom(Class<String> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Prioritized2000MessageBodyReader

    public Prioritized2000MessageBodyReader()

### Method Detail

#### isReadable

    public boolean isReadable(Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

Specified by:
  `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<String>`

#### readFrom

    public String readFrom(Class<String> type,
                           Type genericType,
                           Annotation[] annotations,
                           javax.ws.rs.core.MediaType mediaType,
                           javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders,
                           InputStream entityStream)
                    throws IOException,
                           javax.ws.rs.WebApplicationException

Specified by:
  `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<String>`
Throws:
  `IOException`
  `javax.ws.rs.WebApplicationException`